[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IDesignerNotify

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Designer notification interface

## Declaration

Source position: classesh.inc line 1868

`type IDesignerNotify = interface`
`procedure Modified;` |  | Notify that the component is modified.
`procedure Notification();` |  | Notification of owner changes
`end;`

## Inheritance

`IDesignerNotify` |  | Designer notification interface

## Description

IDesignerNotify is an interface that can be used to communicate changes to a designer mechanism. It offers functionality for detecting changes, and notifications when the component is destroyed.